CURLOPT_HTTPGET(3)

NAME
CURLOPT_HTTPGET - ask for a HTTP GET request

SYNOPSIS
#include <curl/curl.h> CURLcode curl_easy_setopt(CURL *handle, CURLOPT_HTTPGET, long useget);

DESCRIPTION
Pass a long. If useget is 1, this forces the HTTP request to get back to using GET. Usable if a POST, HEAD, PUT, etc has been used previously using the same curl handle. When setting CURLOPT_HTTPGET(3) to 1, it will automatically set CURLOPT_NOBODY(3) to 0 and CURLOPT_UPLOAD(3) to 0.

DEFAULT
0

PROTOCOLS
HTTP

EXAMPLE
TODO

AVAILABILITY
Along with HTTP

RETURN VALUE
Returns CURLE_OK if HTTP is supported, and CURLE_UNKNOWN_OPTION if not.

SEE ALSO
CURLOPT_NOBODY(3), CURLOPT_UPLOAD(3),